summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jostein Berntsen <jbernts@broadpark.no>2011-08-18 08:18:53 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-18 08:18:53 -0300
commit85175405cd3a52862a51c6384cd80c12d838d6f8 (patch)
tree1abb7781b3542a10766c55fcb073a82933abd571
parentbb0c131e3ddec9f82c9959c36fac41c16cef93ac (diff)
downloadslackbuilds-85175405cd3a52862a51c6384cd80c12d838d6f8.tar.gz
slackbuilds-85175405cd3a52862a51c6384cd80c12d838d6f8.tar.xz
office/notmuch: Added (fast mail indexer for maildir)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--office/notmuch/README10
-rw-r--r--office/notmuch/notmuch.SlackBuild80
-rw-r--r--office/notmuch/notmuch.info10
-rw-r--r--office/notmuch/slack-desc21
4 files changed, 121 insertions, 0 deletions
diff --git a/office/notmuch/README b/office/notmuch/README
new file mode 100644
index 0000000000..73a1171e53
--- /dev/null
+++ b/office/notmuch/README
@@ -0,0 +1,10 @@
+Notmuch is an answer to Sup. Sup is a very good email program written by
+William Morgan (and others) and is the direct inspiration for Notmuch.
+Notmuch began as an effort to rewrite performance-critical pieces of Sup in
+C rather than ruby. From there, it grew into a separate project. One
+significant contribution Notmuch makes compared to Sup is the separation
+of the indexer/searcher from the user interface. (Notmuch provides a
+library interface so that its indexing/searching/tagging features can be
+integrated into any email program.)
+
+This requires xapian-core.
diff --git a/office/notmuch/notmuch.SlackBuild b/office/notmuch/notmuch.SlackBuild
new file mode 100644
index 0000000000..9751c8ead8
--- /dev/null
+++ b/office/notmuch/notmuch.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for notmuch
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+
+PRGNAM=notmuch
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING-GPL-3 INSTALL NEWS README RELEASING TODO version \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/notmuch/notmuch.info b/office/notmuch/notmuch.info
new file mode 100644
index 0000000000..25a3dfb7c3
--- /dev/null
+++ b/office/notmuch/notmuch.info
@@ -0,0 +1,10 @@
+PRGNAM="notmuch"
+VERSION="0.7"
+HOMEPAGE="http://notmuchmail.org"
+DOWNLOAD="http://notmuchmail.org/releases/notmuch-0.7.tar.gz"
+MD5SUM="475197e505255b9603eedb53a68aa32d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
+APPROVED="Niels Horn"
diff --git a/office/notmuch/slack-desc b/office/notmuch/slack-desc
new file mode 100644
index 0000000000..3b963ae4c1
--- /dev/null
+++ b/office/notmuch/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+notmuch: notmuch (fast mail indexer for maildir)
+notmuch:
+notmuch: Notmuch is an answer to Sup. Sup is a very good email program written
+notmuch: by William Morgan (and others) and is the direct inspiration for
+notmuch: Notmuch. Notmuch began as an effort to rewrite performance-critical
+notmuch: pieces of Sup in C rather than ruby. From there, it grew into
+notmuch: a separate project. One significant contribution Notmuch makes
+notmuch: compared to Sup is the separation of the indexer/searcher from
+notmuch: the user interface. (Notmuch provides a library interface so that
+notmuch: its indexing/searching/tagging features can be integrated into any
+notmuch: email program.)
+
+